.modal{
    position: absolute;
    color: black;
    background: rgba(0,0,0,0.5); /* the parent background of the modal */
}

/* modal-open class used to center modal vertically */
.modal-open .modal {
    display: flex !important;
    height: 100%;
}

.modal-open .modal .modal-dialog {
    margin: auto;
}

.modal-content label {
    font-size: 100%;
    color: #5a5a5a;
}

.modal-header{
    padding: 2px 7px;
}

.modal-heading{
    font-size:18px;
    margin: 2px 0;
    color:white;
}

.modal-body{
    padding: 10px 25px;
}

.modal-footer{
    padding: 5px 10px;
}

/* This makes dialog modal only to the parent div */
.modal-backdrop{
    /*display:none !important;*/
    z-index: 10 !important;
}

.modal-dialog {
    width: auto;
    max-width: 100%;
    /*display: flex;*/
    /*justify-content: center;*/
}

.modal-success {
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#dff0d8), to(#c8e5bc));
    background-image: -webkit-linear-gradient(#dff0d8 0%, #c8e5bc 100%);
    background-image: -moz-linear-gradient(#dff0d8 0%, #c8e5bc 100%);
    background-image: -o-linear-gradient(#dff0d8 0%, #c8e5bc 100%);
    background-image: linear-gradient(#dff0d8 0%, #c8e5bc 100%);
    background-repeat: repeat-x;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffdff0d8', endColorstr='#ffc8e5bc', GradientType=0);
    border-radius: 4px 4px 0 0;
}

.modal-info {
    /*color: white;*/
    /*font-weight: bold;*/
    background-image: -webkit-gradient(linear, 0 100%, 0 0, from(#3784ca), to(#0b3456));
    background-image: -webkit-linear-gradient(#3784ca 0%, #0b3456 100%);
    background-image: -moz-linear-gradient(#3784ca 0%, #0b3456 100%);
    background-image: -o-linear-gradient(#3784ca 0%, #0b3456 100%);
    background-image: linear-gradient(#3784ca 0%, #0b3456 100%);
    background-repeat: repeat-x;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff3784ca', endColorstr='#ff0b3456', GradientType=0);
    border-radius: 4px 4px 0 0;
}

.modal-warning {
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#fcf8e3), to(#f8efc0));
    background-image: -webkit-linear-gradient(#fcf8e3 0%, #f8efc0 100%);
    background-image: -moz-linear-gradient(#fcf8e3 0%, #f8efc0 100%);
    background-image: -o-linear-gradient(#fcf8e3 0%, #f8efc0 100%);
    background-image: linear-gradient(#fcf8e3 0%, #f8efc0 100%);
    background-repeat: repeat-x;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#fffcf8e3', endColorstr='#fff8efc0', GradientType=0);
    border-radius: 4px 4px 0 0;
}

.modal-danger {
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#f2dede), to(#e7c3c3));
    background-image: -webkit-linear-gradient(#f2dede 0%, #e7c3c3 100%);
    background-image: -moz-linear-gradient(#f2dede 0%, #e7c3c3 100%);
    background-image: -o-linear-gradient(#f2dede 0%, #e7c3c3 100%);
    background-image: linear-gradient(#f2dede 0%, #e7c3c3 100%);
    background-repeat: repeat-x;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#fff2dede', endColorstr='#ffe7c3c3', GradientType=0);
    border-radius: 4px 4px 0 0;
}